/*
 * mbed SDK
 * Copyright (c) 2017 ARM Limited
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// Automatically generated configuration file.
// DO NOT EDIT, content will be overwritten.

#ifndef __MBED_CONFIG_DATA__
#define __MBED_CONFIG_DATA__

// Configuration parameters
#define CORE_CLOCK_SOURCE                                 HFXO                // set by target:TB_SENSE_12
#define HFRCO_FREQUENCY                                   32000000            // set by target:TB_SENSE_12
#define HFRCO_FREQUENCY_ENUM                              cmuHFRCOFreq_32M0Hz // set by target:TB_SENSE_12
#define HFXO_FREQUENCY                                    38400000            // set by target:TB_SENSE_12
#define LFXO_FREQUENCY                                    32768               // set by target:TB_SENSE_12
#define LOW_ENERGY_CLOCK_SOURCE                           LFXO                // set by target:TB_SENSE_12
#define MBED_CONF_DRIVERS_UART_SERIAL_RXBUF_SIZE          256                 // set by library:drivers
#define MBED_CONF_DRIVERS_UART_SERIAL_TXBUF_SIZE          256                 // set by library:drivers
#define MBED_CONF_EVENTS_PRESENT                          1                   // set by library:events
#define MBED_CONF_EVENTS_SHARED_DISPATCH_FROM_APPLICATION 0                   // set by library:events
#define MBED_CONF_EVENTS_SHARED_EVENTSIZE                 256                 // set by library:events
#define MBED_CONF_EVENTS_SHARED_HIGHPRIO_EVENTSIZE        256                 // set by library:events
#define MBED_CONF_EVENTS_SHARED_HIGHPRIO_STACKSIZE        1024                // set by library:events
#define MBED_CONF_EVENTS_SHARED_STACKSIZE                 1024                // set by library:events
#define MBED_CONF_FILESYSTEM_PRESENT                      1                   // set by library:filesystem
#define MBED_CONF_NSAPI_PRESENT                           1                   // set by library:nsapi
#define MBED_CONF_PLATFORM_DEFAULT_SERIAL_BAUD_RATE       9600                // set by library:platform
#define MBED_CONF_PLATFORM_STDIO_BAUD_RATE                115200              // set by library:platform[EFM32]
#define MBED_CONF_PLATFORM_STDIO_CONVERT_NEWLINES         0                   // set by library:platform
#define MBED_CONF_PLATFORM_STDIO_FLUSH_AT_EXIT            1                   // set by library:platform
#define MBED_CONF_PPP_CELL_IFACE_APN_LOOKUP               0                   // set by library:ppp-cell-iface
#define MBED_CONF_PPP_CELL_IFACE_AT_PARSER_BUFFER_SIZE    256                 // set by library:ppp-cell-iface
#define MBED_CONF_PPP_CELL_IFACE_AT_PARSER_TIMEOUT        8000                // set by library:ppp-cell-iface
#define MBED_CONF_PPP_CELL_IFACE_BAUD_RATE                115200              // set by library:ppp-cell-iface
#define MBED_CONF_RTOS_PRESENT                            1                   // set by library:rtos
#define MBED_CONF_SL_RAIL_BAND                            2400                // set by library:sl-rail
#define MBED_CONF_SL_RAIL_HAS_2P4                         1                   // set by library:sl-rail[TB_SENSE_12]
#define MBED_CONF_SL_RAIL_HAS_SUBGIG                      0                   // set by library:sl-rail
#define MBED_CONF_SL_RAIL_PTI                             1                   // set by library:sl-rail
#define MBED_CONF_SL_RAIL_PTI_BAUDRATE                    1600000             // set by library:sl-rail
#define MBED_CONF_SL_RAIL_PTI_DCLK_LOCATION               6                   // set by library:sl-rail
#define MBED_CONF_SL_RAIL_PTI_DCLK_PIN                    11                  // set by library:sl-rail
#define MBED_CONF_SL_RAIL_PTI_DCLK_PORT                   gpioPortB           // set by library:sl-rail
#define MBED_CONF_SL_RAIL_PTI_DFRAME_LOCATION             6                   // set by library:sl-rail
#define MBED_CONF_SL_RAIL_PTI_DFRAME_PIN                  13                  // set by library:sl-rail
#define MBED_CONF_SL_RAIL_PTI_DFRAME_PORT                 gpioPortB           // set by library:sl-rail
#define MBED_CONF_SL_RAIL_PTI_DOUT_LOCATION               6                   // set by library:sl-rail
#define MBED_CONF_SL_RAIL_PTI_DOUT_PIN                    12                  // set by library:sl-rail
#define MBED_CONF_SL_RAIL_PTI_DOUT_PORT                   gpioPortB           // set by library:sl-rail
#define MBED_CONF_SL_RAIL_PTI_MODE                        RADIO_PTI_MODE_UART // set by library:sl-rail
// Macros
#define UNITY_INCLUDE_CONFIG_H                                                // defined by library:utest

#endif
